package com.pcloud.book.book.biz;

import com.pcloud.book.book.entity.SearchRecord;
import com.pcloud.common.page.PageBeanNew;

/**
 * 用户搜索记录(SearchRecordSale)表服务接口
 *
 * @author makejava
 * @since 2020-10-12 16:24:03
 */
public interface SearchRecordSaleBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SearchRecord getById(Integer id);

    /**
     * 分页查询
     */
    PageBeanNew getList(Integer currentPage, Integer numPerPage);

    /**
     * 新增数据
     *
     * @param searchRecordSale 实例对象
     * @return 主键
     */
    void insert(SearchRecord searchRecordSale);

    /**
     * 修改数据
     *
     * @param searchRecordSale 实例对象
     */
    void update(SearchRecord searchRecordSale);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    void deleteById(Integer id);

}